Subject: [bug#30443] [PATCH] Add colobot

From: Nicolas Goaziou <[email-masked]>
Date: Tue, 13 Feb 2018 23:05:07 +0100

Hello,

Leo Famulari <[email-masked]> writes:

> On Tue, Feb 13, 2018 at 02:08:54AM +0100, Nicolas Goaziou wrote:
>> Subject: [PATCH] gnu: Add colobot.
>> 
>> * gnu/packages/games.scm (colobot): New variable.
>
> Thanks!
>
>> +       ("sdl2" ,sdl2)
>> +       ("sdl2-image", sdl2-image)
>> +       ("sdl2-ttf" ,sdl2-ttf)))
>
> I didn't try building or playing the game, but I know that SDL
> dependencies often need to be provided in a union using the sdl-union
> procedure. So, please make sure this is working :)

The game builds and is playable with the current patch. I tested it with

  guix environment --pure --ad-hoc colobot -- colobot

It also builds and is playable with sdl-union.

Regards,

-- 
Nicolas Goaziou                                                0x80A93738